import BaseACTION from '@/action/base_action'
import { TestModule } from '../api'

export default class TestModuleAction extends BaseACTION {
  /**
   * 测试模块获取接口
   */
  getTestInfo () {
    return TestModule.getTestInfo().then(res => {
      return { test: this.getVueInstance().$t('moduleAction.test') } || res
    }).catch(res => {
      return { test: this.getVueInstance().$t('moduleAction.test') } || res
    })
  }
}
